coupang
POST/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/orders/directIntegration/arrangeShipment2609170000

[For Taiwan Only]Arrange shipment for directly integrated courier

# 01

Summary

[For Taiwan Only]Arrange shipment for directly integrated courier

# 02

Details

Available buyer market: Taiwan

Arrange shipment to change the order status from product in preparation(INSTRUCT) to Shipped(DEPARTURE). This api doesn’t support splitting shipment yet, use Wing for splitting shipment.

Note: If the order status is not product in preparation(INSTRUCT) , this request will fail with error INVOICE NUMBER GENERATION FAILED.

There are currently four courier companies available.

Company Name Type deliveryCompanyCode
HomeDelivery-Kerry Home delivery TWL_KERRY
HomeDelivery-Hsin Chu Home delivery TWL_HCT
CVS-Familymart CVS TWL_FM
CVS-7-11 CVS TWL_711

Path

POST/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/orders/directIntegration/arrangeShipment

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/vendors/A158000ABC/orders/directIntegration/arrangeShipment

URL API Name

UPDATE_ORDER_ARRANGE_SHIPMENT_FOR_DIRECT_INTEGRATED_COURIER
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to vendors e.g. A158000ABC
# 04

Response body

Response message

NameTypeDescription
successboolean
True if arrange shipment completed successfully for this entry
errorKeystring
Text status for the per-item operation (e.g.“OK”).
errorMessagestring
Supplementary description of success/failure.
invoiceNumberstring
Waybill number
shipmentBoxIdnumber
Shipment No. (bundled shipment No.)
validationCodestring
Additional code required by certain couriers (only for 7-11)
invoiceNumberInvalidTim estring
Expiration date time for the issued invoiceNumber (Requires ISO-8601 Compliance)

e.g. 2025-09-02T13:54:39+08:00 or 2025-09-02T05:54:39Z

Response Example

{
  "12345": {
    "success": true,
    "errorKey": "",
    "errorMessage": "",
    "invoiceNumber": "12345556",
    "shipmentBoxId": 12345,
    "validationCode": "",
    "invoiceNumberInvalidTime": "2025-09-02T13:54:39+08:00"
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400

Invalid vendor ID

vendorId in path or header (X-Requested-By) is invalid or doesn’t equal, pls check and keep the same vendorId.

400400

Only one type of express is supported for bulk delivery

deliveryCompanyCode in all item of request must be the same one.

400400

illegal shipment box id

shipmentBoxId should be greater than 0

400400

illegal delivery company code

deliveryCompanyCode is not supported

400400

returnCenterCode cannot be empty for deliveryCompanyCode: {deliveryCompanyCode}

For CVS delivery, returnCenterCode is necessary

400400

invalid outboundShippingPlaceCode for deliveryCompanyCode: {deliveryCompanyCode}

For Home delivery, outboundShippingPlaceCode is necessary